.. _misc:

****
Misc
****

.. _acls:

ACLs
====

.. automodule:: swift.common.middleware.acl
    :members:
    :show-inheritance:

.. _buffered_http:

Buffered HTTP
=============

.. automodule:: swift.common.bufferedhttp
    :members:
    :show-inheritance:

.. _constraints:

Constraints
===========

.. automodule:: swift.common.constraints
    :members:
    :undoc-members:
    :show-inheritance:

Container Sync Realms
=====================

.. automodule:: swift.common.container_sync_realms
    :members:
    :show-inheritance:


.. _digest:

Digest
======

.. automodule:: swift.common.digest
    :members:
    :undoc-members:
    :show-inheritance:

.. _direct_client:

Direct Client
=============

.. automodule:: swift.common.direct_client
    :members:
    :undoc-members:
    :show-inheritance:

.. _exceptions:

Exceptions
==========

.. automodule:: swift.common.exceptions
    :members:
    :undoc-members:
    :show-inheritance:

.. _internal_client:

Internal Client
===============

.. automodule:: swift.common.internal_client
    :members:
    :undoc-members:
    :show-inheritance:

Manager
=========

.. automodule:: swift.common.manager
    :members:
    :show-inheritance:

MemCacheD
=========

.. automodule:: swift.common.memcached
    :members:
    :show-inheritance:

.. _registry:

Middleware Registry
===================

.. automodule:: swift.common.registry
    :members:
    :undoc-members:
    :show-inheritance:

.. _request_helpers:

Request Helpers
===============

.. automodule:: swift.common.request_helpers
    :members:
    :undoc-members:
    :show-inheritance:

.. _swob:

Swob
====

.. automodule:: swift.common.swob
    :members:
    :show-inheritance:
    :special-members: __call__

.. _utils:

Utils
=====

.. automodule:: swift.common.utils
    :members:
    :show-inheritance:

.. _wsgi:

WSGI
====

.. automodule:: swift.common.wsgi
    :members:
    :show-inheritance:

.. _storage_policy:

Storage Policy
==============

.. automodule:: swift.common.storage_policy
    :members:
    :show-inheritance:
